Subject: Re: locking issue in vhost_net_set_backend

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 16 Mar 2010 16:48:24 +0200

On Tue, Mar 16, 2010 at 03:01:51PM +0100, Jiri Slaby wrote:
> On 03/16/2010 02:58 PM, Jiri Slaby wrote:
>> I don't see how the lock is unlocked on the error paths and as it is not
>> on none of the them maybe I'm missing something?
>
> And there is one more issue in vhost_set_vring, several returns from  
> VHOST_SET_VRING_KICK, VHOST_SET_VRING_CALL, VHOST_SET_VRING_ERR with the  
> vq->mutex held.

Thanks!
I have patches for these that I'll push out shortly.

> -- 
> js